<div class="login-page">
    <div class="login-container">
        <h1 class="login-header">{{ loginType ? 'Company' : 'Student' }} Login</h1>
        <form [formGroup]="companyLoginForm" class="login-form" (ngSubmit)="companyLogin()" *ngIf="loginType">
            <mat-form-field appearance="outline">
                <mat-label>Username</mat-label>
                <input type="text" matInput formControlName="username" placeholder="Username">
                <mat-error *ngIf="username?.hasError('required')">Username is required field</mat-error>
            </mat-form-field>
    
            <mat-form-field appearance="outline">
                <mat-label>Password</mat-label>
                <input type="text" matInput formControlName="password" placeholder="password">
                <mat-error *ngIf="passwordCP?.hasError('required')">Password is required field</mat-error>
            </mat-form-field>
    
            <mat-form-field appearance="outline">
                <mat-label>Company</mat-label>
                <mat-select formControlName="company">
                  <mat-option *ngFor="let company of companyList" [value]="company.id">{{ company.view }}</mat-option>
                </mat-select>
                <mat-error *ngIf="companyCP?.hasError('required')">Company is required field</mat-error>
            </mat-form-field>
    
            <button type="submit" [disabled]="companyLoginForm.invalid" mat-flat-button color="primary">Login</button>
        </form>

        <form [formGroup]="studentLoginForm" class="login-form" (ngSubmit)="studentLogin()" *ngIf="!loginType">
            <mat-form-field appearance="outline">
                <mat-label>Email</mat-label>
                <input type="email" matInput formControlName="email" placeholder="Enter the your email">
                <mat-error *ngIf="email?.hasError('required')">Email is required field</mat-error>
                <mat-error *ngIf="email?.hasError('email')">Incorrect email format</mat-error>
            </mat-form-field>
    
            <mat-form-field appearance="outline">
                <mat-label>Password</mat-label>
                <input type="text" matInput formControlName="password" placeholder="password">
                <mat-error *ngIf="passwordST?.hasError('required')">Password is required field</mat-error>
            </mat-form-field>
    
            <mat-form-field appearance="outline">
                <mat-label>Company</mat-label>
                <mat-select formControlName="company">
                    <mat-option *ngFor="let company of companyList" [value]="company.id">{{ company.view }}</mat-option>
                </mat-select>
                <mat-error *ngIf="companyST?.hasError('required')">Company is required field</mat-error>
            </mat-form-field>

            <button type="submit" [disabled]="studentLoginForm.invalid" mat-flat-button color="primary">Login</button>
        </form>
        <div class="switch-login-wrapper">
            <p class="are-you-text">Are you {{ !loginType ? 'Company' : 'Student' }}? <a class="switch-login-type" (click)="loginType = !loginType">Login here</a></p>
        </div>
    </div>
</div>